package org.kne.cloud.network;

import java.util.HashMap;
import java.util.LinkedHashMap;

public class HostPortMap extends LinkedHashMap<String, MultipurposeSocketAddress> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	
	public MultipurposeSocketAddress putN$H(String str) {
		String[] strx=str.split("\\$");
		return super.put(strx[0], new MultipurposeSocketAddress( strx[1]));
	}

}
